// draw a single petal using a given angle and global length
void petal (float angle) {
 
  float r = length * sin (radians(angle) / 2);
  float c = (2 * 3.141592 * r);
    
  t.forward(length);
  t.right(angle / 2);
  
  for (int j = 0; j < 180; j++) {
      t.forward(c/360);
      t.right(1);
  }
  t.right(angle / 2);
  t.forward(length);
 
}

// iterate over number of petals using appropriate angle
void flower(int petals) {

  float angle = (float) 360 / petals;
  
  for (int i = 0; i < petals; i++) {
    petal(angle);
    t.right(180);
  }
  //fill(#FAF36A);
  
  ellipse(t.getX(), t.getY(), 10, 10);

}
